VIP мобилни интернет (Alcatel modemi)

Да ли неко користи VIP-ов мобилни интернет на десктопу, не преко телефона него са њиховим УСБ модемом?
Како сте задовољни са овим интернетом?

Мени стално пуца веза и сам се дисконектује и не знам како да решим тај проблем.

Da li si instalirao neki drajver ili si samo “ubo” i surfovao?

Ja lično ne koristim takav internet…

Урадио сам ово:

  1. Uklonite postojece pakete: Kod: sudo apt-get remove usb-modeswitch usb-modeswitch-data

  2. Instalirajte pakete sledecim komandama:
    Kod: sudo dpkg -i Downloads/usb-modeswitch-data_20100127-1_all.deb
    Kod: sudo dpkg -i Downloads/usb-modeswitch_1.1.0-2_i386.deb
    Kod: sudo dpkg -i Downloads/tcl8.4_8.4.19-4ubuntu3_i386.deb
    И наконовога закључао ове пакете на тренутне верзије у Synapticu и Менаџеру ажурирања.

Овде сам нашао решење: http://forum.ubuntu-rs.org/Thread-reseno-3g-net-ne-radi-u-12-04

Пре ове интервенције није уопште видео усб модем.

Мало сам гуглао у нади да ћу решити овај проблем, пронашао и скрипту Sakis3g, у почетку ми је изгледало боље, али то је изгледа био тренутак. За ову бољку изгледа једноставно нема лека, видео сам да се и други корисници мобилног интернета жале да лоше ради на линуксу.
Просто не могу да разумем да је то тако, али изгледа да нема помоћи.

Izvini što ti se ranije nisam javio ali sam u gužvi…

Vidim da koristiš Mate okruženje, koje je fork nekadašnjeg slavnog Gnome 2. medjutim taj Mate ima neke svoje bubice i veoma često komplikacije kada su u pitanju deljene mreže, šerovane konekcije, konferencijske veze izmedju ostalog i mobilni internet preko USB-a (meni lično ni mobilni internet preko USB-a direktno sa telefona nije radio pod Mate-om).

Šta je opcija… Opcija je da ako te ne mrzi instaliraš Cinnamon (cimet) i pokušaš odande da bez ikakve instalacije drajvere ponovo prikačiš USB i pokušaš da se povežeš na internet, jer Cinnamon koristi GTK3 i lib3 novije biblioteke koje imaju dosta naprednija i modernija podešavanja naročito za WIFI i GSM pristup globalnoj mreži.

Javi šta si uradio…

Као дугогодишњи корисник мобилног интернета видео сам разноразне проблеме са њима, али увек сам их натерао да стабилно раде. Углавном сада користим МТС-ов на стабилном Дебиану (КДЕ) и мој модем није препознат са подразумеваним стабилним пакетима. Како је радило коректно на Squeeze, негде сам ископао да инсталација modemmanager-а са Squeeze-а решава проблем и могу ти рећи код мене је то тачно.

Нус ефекат је да после сваке надоградње система мора да иде и реинсталација и modemmanager-а и немам проблема.

Како не знам како се пријављују багови ово чувам за себе и другаре :wink:

@Commander
Инсталирао сам цимет, али мој стари рачунар са 512 мб рам меморије једноставно није успео да га покрене, у најбољем случају појави се само слика коју сам поставио за позадину. Међутим, улогујем се у Gnome Clasic сесију (мислим да је то исто што се тиче оног испод хаубе) и сад пробавам.

@mpele
Ја већ са системом имам инсталиран менаџер мреже, а Synaptic ми говори да је modemmanager већ инсталиран и кад у терминалу укуцам његово име да га покренем добијем одговор да је већ покренут. Да ли је то овај менаџер који си ти инсталирао као на слици?

Ја имам потребу само да инсталирам старију верзију modemmanager-а јер мој модем није коректно препознат са “најстабилнијом” верзијом поменутог, а која иде из репоа. Све остало је остало исто.

Иначе пакет modemmanager нема никаквог графичког интерфејса јер су то само специфична подешавања за разне типове модема.

@mpele
Која је верзија коју ти имаш инсталирану, да ли можеш на форуму да окачиш деб пакет?

Možeš odavde da skidaš:
http://packages.debi…ze/modemmanager

Verovatno i ne treba ceo paket (predpostavljam), nego samo plugin…

Upstream je ovde, ima jedna verzija više nego u experimantal:

http://cgit.freedesk…r/ModemManager/

Bugovi proverite ako postoje ovde:
https://bugzilla.gno…nt=ModemManager

Pa ako ne radi najnovija verzija, odmah tu ih možete i prijaviti :).

Ili distro verzije za Debian i Ubuntu:
http://bugs.debian.org/cgi-bin/pkgreport.cgi?pkg=modemmanager
https://bugs.launchpad.net/ubuntu/+source/modemmanager

Пакет који мени завршава посао је modemmanager_0.4+git.20100624t180933.6e79d15-2_amd64.deb односно онај са линка који је дао dvajedan.

@dvajedan
Ја бих и пријавио баг али не знам шта да пријавим. Не знам који ми је модем, односно шта им је потребно дати. Вероватно је то лако сазнати са lusb или неком сличном командом али немам времена да се и са тиме јурим. Ако неко жели да помогне - радо ћу послушати.

  1. lsusb bi trebalo i ti i milansombor da date, da bi znali o kom hardveru je reč :).
  2. onda po tom IDu pretražujemo bugzille
  3. tek ako toga nema nigde ima smisla prijavljujivati bug ili se nadovezati samo na postojeći u slučaju da je probana verzija iz gita Ili u Debianu verzija iz eksperimentala, a i dalje ne radi.

Ово је мој модем:

Bus 001 Device 008: ID 1bbb:0000 T & A Mobile Phones

OK Alcatel, a ovo 0000 me podseća na tv kartice gde je najispravnije da automatika ne može da radi, možda je baš to i ovde slučaj… ajd i somboled da da ID :).

Može da bude i kernel bug ovo, evo iz 3.0, koristili su isti ID za različiti device, vrlo retko se ovo dešava ali se dešava :connie_pumpkinsmile:

commit 15badbcc8eede58b0d7e53a3acde1c90a7b6e40e
Author: Dan Williams
Date: Mon Jun 6 16:22:44 2011 -0500
option: add Alcatel X200 to sendsetup blacklist
This modem really wants sendsetup blacklisted for interfaces 0 and 1,
otherwise the kernel hardlocks for about 10 seconds while waiting for
the modem’s firmware to respond, which it of course doesn’t do.
A slight complication here is that TCT (who owns the Alcatel brand) used
the same USB IDs for the X200 as the X060s despite the devices having
completely different firmware and AT command sets, so we end up adding
the X060s to the blacklist at the same time. PSA to OEMs: don’t use the
same USB IDs for different devices. Really. It makes your kittens cry.
Signed-off-by: Dan Williams
Cc:
Signed-off-by: Greg Kroah-Hartman

Really. It makes your kittens cry - GKH ili Dan predviđa budućnost majke mi :connie_pumpkinsmile:

http://forum.opensource-srbija.org/uploads/profile/photo-468.gif

Nego jel piše nešto na samom modemu, jel X200 ili X060s?

[email protected][member=‘milan’] ~ $ lsusb
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 002 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 001 Device 003: ID 1bbb:0017 T & A Mobile Phones

Модем је Alcatel x500d

@[member=‘dvajedan’] Somboled je sada Dukat ::slight_smile:

OK supe znači Alcateli :), ovo bi se reklo da navodi na problematiku:

https://mail.gnome.o…e/msg00025.html

Mada i taj 0017 mu valjda znači da je u modem modu, inače je f000:
http://ubuntuforums…d.php?t=1576997

Izgleda da prebacivanje kod Dukata radi :)… nije to.

Џаба ти то мени синко причаш, ништа ја тебе не разумем :connie_oldman_cleanglasses:

Заменио сам пакетиће, видећемо како ради

Ne moraš da razumeš, ovde izgleda bug sa random ttyusb prisutan:
https://bugs.launchp…ger/ bug/819784

Tako da ima pregršt bugova sa ovim modemima, ne mora se prijavljivati :chiffa:

Одлично, да бар знамо у чему је проблем … тешко да ћу га ја решити, али могу да кукам, па можда ме неко чује и смилује се.

Za sad zajednički činilac je Alcatel - proizvođač tih modema .

Now the bad news. TCT in their infinite wisdom gave the X060, X070, and
X200 the SAME FREAKING USB IDs, despite the X200 having a completely
different command set than the X060/070. The X060s is driven by
Longcheer, while the X200 needs the X22X plugin.

At least when Huawei does this (like 20 of their modems are 12d1:1001) the modems have the same AT command set. I really want to yell at TCT now.

Neki Alcateli znači mogu da budu i longcheer:
http://cgit.freedesk…ort-types.rules

Ali obično x22x:

http://cgit.freedesk…ort-types.rules

Mada ovo je novije, možda je i proradilo posle… zato i kažem probati verziju iz eksperimentala ;).

Ali izgleda da je u tome problem, do verzije 0.4 se kositio longcheer, a od 0.5 su ovih dva modela prebačeni u x22x… yep baš ova dva modela su u x22x od tada.

# do not edit this file, it will be overwritten on update
# Alcatel One Touch X220D
# Alcatel One Touch X200
#
# These values were scraped from the X220D's Windows .inf files. jrdmdm.inf
# lists the actual command and data (ie PPP) ports, while jrdser.inf lists the
# aux ports that may be either AT-capable or not but cannot be used for PPP.

ACTION!="add|change", GOTO="mm_x22x_port_types_end"
SUBSYSTEM!="tty", GOTO="mm_x22x_port_types_end"
SUBSYSTEMS=="usb", ATTRS{idVendor}=="1bbb", GOTO="mm_x22x_vendorcheck"
GOTO="mm_x22x_port_types_end"
LABEL="mm_x22x_vendorcheck"
SUBSYSTEMS=="usb", ATTRS{bInterfaceNumber}=="?*", ENV{.MM_USBIFNUM}="$attr{bInterfaceNumber}"
# Alcatel X200
ATTRS{idProduct}=="0000", ENV{.MM_USBIFNUM}=="03", ENV{ID_MM_X22X_PORT_TYPE_MODEM}="1"
ATTRS{idProduct}=="0000", ENV{.MM_USBIFNUM}=="00", ENV{ID_MM_X22X_PORT_TYPE_AUX}="1"
ATTRS{idProduct}=="0000", ENV{.MM_USBIFNUM}=="01", ENV{ID_MM_X22X_PORT_TYPE_AUX}="1"
ATTRS{idProduct}=="0000", ENV{.MM_USBIFNUM}=="02", ENV{ID_MM_X22X_PORT_TYPE_AUX}="1"
ATTRS{idProduct}=="0000", ENV{ID_MM_X22X_TAGGED}="1"
ATTRS{idProduct}=="0017", ENV{.MM_USBIFNUM}=="05", ENV{ID_MM_X22X_PORT_TYPE_MODEM}="1"
ATTRS{idProduct}=="0017", ENV{.MM_USBIFNUM}=="00", ENV{ID_MM_X22X_PORT_TYPE_AUX}="1"
ATTRS{idProduct}=="0017", ENV{.MM_USBIFNUM}=="01", ENV{ID_MM_X22X_PORT_TYPE_AUX}="1"
ATTRS{idProduct}=="0017", ENV{.MM_USBIFNUM}=="02", ENV{ID_MM_X22X_PORT_TYPE_AUX}="1"
ATTRS{idProduct}=="0017", ENV{.MM_USBIFNUM}=="03", ENV{ID_MM_X22X_PORT_TYPE_AUX}="1"
ATTRS{idProduct}=="0017", ENV{ID_MM_X22X_TAGGED}="1"
GOTO="mm_x22x_port_types_end"

LABEL="mm_x22x_port_types_end"

U najgorem slučaju izgleda ovi isti modeli kod nas su baš ovi, ali hoće da koriste longcheer plugin ili samo AT komandu iz njega :connie_pumpkinsmile: .

Tako da i nije neko rešenje za budućnost spuštati na verziju zbog drugog plugina, ali ako vam radi onda je OK… do nekog novog vremena, do nekog drugog a istog cirkusa :connie_pumpkinsmile: .